#include "collisionWatchers.hh"
#include "collisionWatcher.hh"

CollisionWatchers::CollisionWatchers()
{
	this->watchers = std::set<CollisionWatcher *>();
}

void CollisionWatchers::registerWatcher(CollisionWatcher *watcher)
{
	this->watchers.insert(watcher);
}

void CollisionWatchers::unregisterWatcher(CollisionWatcher *watcher)
{
	this->watchers.erase(watcher);
}

void CollisionWatchers::notifyAll()
{
	std::set<CollisionWatcher *>::iterator it;
	for (it = this->watchers.begin(); it != this->watchers.end(); it++)
		(*it)->collided();
}