#ifndef COLOR_H
#define COLOR_H

#include <gtkmm.h>

class Color
{
public:
	Color();
	Color(double r, double b, double g);
	Color(double r, double b, double g, double a);
	Color(Gdk::Color baseColor);
	static Color randomColor();
	// fadeSpeed: the higher the value, the faster is the approach
	Color fadeTo(Color color, double fadeSpeed);
	double getRed();
	double getGreen();
	double getBlue();
	double getAlpha();
	void copyToArray(double rgba[4]);
	void putColorOnWidget(Gtk::ColorButton *widget);
private:
	double r, g, b, a;
};

#endif
