#ifndef COLORSWINDOW_HH
#define COLORSWINDOW_HH

#include <gtkmm.h>
#include <libglademm.h>
#include "color.hh"
#include "parameterWidget.hh"

class PathCheckbox;

class ColorsWindow : public Gtk::Window, public ParameterWidget
{
public:
	ColorsWindow(BaseObjectType *object, Glib::RefPtr<Gnome::Glade::Xml> &refGlade);
	void updateMoleculeColor();
	void updateCollidedMoleculeColor();
	void updateColorChangeSpeed();
	void updateDrawPaths();
	void updateState();
	void close();
private:
	Gtk::ColorButton *collidedMoleculeColor;
	Gtk::ColorButton *moleculeColor;
	Gtk::HScale *colorChangeSpeed;
	PathCheckbox *drawPaths;
};

#endif