#include "environment.hh"
#include "vector.hh"

class dGeom;
class Molecule;
class vtkCubeSource;
class vtkPolyDataMapper;

class CubeEnvironment : public Environment
{
public:
	CubeEnvironment(double size, double temperature);
	~CubeEnvironment();
	Vector generateRandomValidPosition(Molecule *m);
	double biggestFreePathInside();
private:
	double size;
	dGeom *planeUp, *planeDown, *planeLeft, *planeRight, *planeFront, *planeBack;
	vtkCubeSource *src;
	vtkPolyDataMapper *map;
	void createGeometry();
};