#include "cubeEnvironmentMenu.hh"
#include "configuration.hh"

CubeEnvironmentMenu::CubeEnvironmentMenu(Gtk::RadioMenuItem::BaseObjectType *object, const Glib::RefPtr<Gnome::Glade::Xml> &refGlade) : Gtk::RadioMenuItem(object)
{
	this->signal_activate().connect(sigc::mem_fun(*this, &CubeEnvironmentMenu::clicked));
	Configuration::getInstance()->addConfigurationWidget(ENVIRONMENT_TYPE, this);
}

void CubeEnvironmentMenu::updateState()
{
	this->set_active(Configuration::getInstance()->getEnvironmentType() == CUBE);
}

void CubeEnvironmentMenu::clicked()
{
	Configuration *conf = Configuration::getInstance();
	if (!conf->isSynchronizing())
	{
		conf->setEnvironmentType(CUBE);
	}
}