#ifndef CYLINDERENVIRONMENT_HH
#define CYLINDERENVIRONMENT_HH

#include "environment.hh"
#include "vector.hh"

#define THETA_RESOLUTION 8
#define RADIUS 100.0

class dGeom;
class Molecule;
class vtkPolyDataMapper;
class vtkCylinderSource;

class CylinderEnvironment : public Environment
{
public:
	CylinderEnvironment(double height, double temperature);
	~CylinderEnvironment();
	Vector generateRandomValidPosition(Molecule *m);
	double biggestFreePathInside();
private:
	double height;
	vtkPolyDataMapper *map;
	vtkCylinderSource *src;
	dGeom *planes[THETA_RESOLUTION], *top, *bottom;
	void createGeometry();
};

#endif