#include "cylinderEnvironmentMenu.hh"
#include "configuration.hh"

CylinderEnvironmentMenu::CylinderEnvironmentMenu(Gtk::RadioMenuItem::BaseObjectType *object, const Glib::RefPtr<Gnome::Glade::Xml> &refGlade) : Gtk::RadioMenuItem(object)
{
	this->signal_activate().connect(sigc::mem_fun(*this, &CylinderEnvironmentMenu::clicked));
	Configuration::getInstance()->addConfigurationWidget(ENVIRONMENT_TYPE, this);
}

void CylinderEnvironmentMenu::updateState()
{
	this->set_active(Configuration::getInstance()->getEnvironmentType() == CYLINDER);
}

void CylinderEnvironmentMenu::clicked()
{
	Configuration *conf = Configuration::getInstance();
	if (!conf->isSynchronizing())
	{
		conf->setEnvironmentType(CYLINDER);
	}
}