#include "diffusionMenu.hh"
#include "configuration.hh"

DiffusionMenu::DiffusionMenu(Gtk::CheckMenuItem::BaseObjectType *object, const Glib::RefPtr<Gnome::Glade::Xml> &refGlade) : Gtk::CheckMenuItem(object)
{
	this->signal_activate().connect(sigc::mem_fun(*this, &DiffusionMenu::clicked));
	Configuration::getInstance()->addConfigurationWidget(SHOW_DIFFUSION, this);
}

void DiffusionMenu::updateState()
{
	this->set_active(Configuration::getInstance()->shouldShowDiffusion());
}

void DiffusionMenu::clicked()
{
	Configuration *conf = Configuration::getInstance();
	if (!conf->isSynchronizing())
		conf->toggleShowDiffusion();
}