#include "durationSlider.hh"
#include "configuration.hh"

DurationSlider::DurationSlider(BaseObjectType *object, const Glib::RefPtr<Gnome::Glade::Xml> &refGlade) : Gtk::HScale(object)
{
	this->signal_value_changed().connect(sigc::mem_fun(*this, &DurationSlider::changed));
	Configuration::getInstance()->addConfigurationWidget(DURATION_OF_SIMULATION, this);
}

void DurationSlider::updateState()
{
	this->set_value((double) Configuration::getInstance()->getDurationOfSimulation());
}

void DurationSlider::changed()
{
	Configuration *conf = Configuration::getInstance();
	if (!conf->isSynchronizing())
		conf->setDurationOfSimulation((int) this->get_value());
}