#include "environmentCombo.hh"
#include "configuration.hh"

EnvironmentCombo::EnvironmentCombo(Gtk::ComboBox::BaseObjectType *object, const Glib::RefPtr<Gnome::Glade::Xml> &refGlade)
: Gtk::ComboBox(object)
{
	this->refLabel = refGlade->get_widget("labelSize", refLabel);
	this->signal_changed().connect(sigc::mem_fun(*this, &EnvironmentCombo::changed));
	this->set_active(0);
	Configuration::getInstance()->addConfigurationWidget(ENVIRONMENT_TYPE, this);
}

void EnvironmentCombo::updateState()
{
	switch (Configuration::getInstance()->getEnvironmentType())
	{
	case CUBE:
		this->set_active(CUBE_INDEX);
		break;
	case CYLINDER:
		this->set_active(CYLINDER_INDEX);
		break;
	default:
	case OTHER:
		this->set_active(CYLINDER_INDEX + 1);
		break;
	}
}

void EnvironmentCombo::changed()
{
	Configuration *conf = Configuration::getInstance();
	if (!conf->isSynchronizing())
	{
		switch (this->get_active_row_number())
		{
		case CUBE_INDEX:
			refLabel->set_text(Glib::ustring("Lado:"));
			conf->setEnvironmentType(CUBE);
			break;
		case CYLINDER_INDEX:
			refLabel->set_text(Glib::ustring("Comprimento:"));
			conf->setEnvironmentType(CYLINDER);
			break;
		default:
			refLabel->set_text(Glib::ustring("Escala:"));
			conf->setEnvironmentType(OTHER);
			break;
		}
	}
}
