#include "environmentFactory.hh"
#include "cubeEnvironment.hh"
#include "cylinderEnvironment.hh"
#include "environment.hh"

EnvironmentFactory::EnvironmentFactory()
{
}

Environment *EnvironmentFactory::createEnvironment(EnvironmentType type, double scale, double temperature)
{
	switch (type)
	{
	case CUBE:
		return new CubeEnvironment(scale, temperature);
	case CYLINDER:
		return new CylinderEnvironment(scale, temperature);
	default:
		return new CubeEnvironment(scale, temperature);
	}
}