#include "environmentSizeSpin.hh"
#include "configuration.hh"

EnvironmentSizeSpin::EnvironmentSizeSpin(Gtk::SpinButton::BaseObjectType *object, const Glib::RefPtr<Gnome::Glade::Xml> &refGlade) : Gtk::SpinButton(object)
{
	this->signal_value_changed().connect(sigc::mem_fun(*this, &EnvironmentSizeSpin::changed));
	Configuration::getInstance()->addConfigurationWidget(ENVIRONMENT_SCALE, this);
}

void EnvironmentSizeSpin::updateState()
{
	this->set_value(Configuration::getInstance()->getEnvironmentScale());
}

void EnvironmentSizeSpin::changed()
{
	Configuration *conf = Configuration::getInstance();
	if (!conf->isSynchronizing())
		conf->setEnvironmentScale(this->get_value());
}