#include "fpsMenu.hh"
#include "configuration.hh"

FPSMenu::FPSMenu(Gtk::CheckMenuItem::BaseObjectType *object, const Glib::RefPtr<Gnome::Glade::Xml> &refGlade) : Gtk::CheckMenuItem(object)
{
	this->signal_activate().connect(sigc::mem_fun(*this, &FPSMenu::clicked));
	Configuration::getInstance()->addConfigurationWidget(SHOW_FPS, this);
}

void FPSMenu::updateState()
{
	this->set_active(Configuration::getInstance()->shouldShowFPS());
}

void FPSMenu::clicked()
{
	Configuration *conf = Configuration::getInstance();
	conf->toggleShowFPS();
}