#include <cppunit/extensions/TestFactoryRegistry.h>
#include <cppunit/ui/text/TestRunner.h>
#include <gtkmm.h>
#include <libglademm.h>
#include "mainWindow.hh"
#include "mtrand.h"

int main(int argc, char **argv)
{
	MTRand initializer(time(NULL)); // initializes the seed of the random number generator
	CppUnit::TextUi::TestRunner runner;
	CppUnit::TestFactoryRegistry &registry = CppUnit::TestFactoryRegistry::getRegistry();
	runner.addTest(registry.makeTest());
	runner.run();
	Gtk::Main gtkMain(argc, argv);
	Glib::RefPtr<Gnome::Glade::Xml> refXml = Gnome::Glade::Xml::create("GUI.glade");
	MainWindow *window = 0;
	refXml->get_widget_derived("screen", window);
	if (window)
	{
		gtkMain.run(*window);
	}
	return 0;
}