#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <gtkmm.h>
#include <libglademm.h>
#include "type.hh"
#include "vtkmm.h"

#define SIDEBAR_WIDTH 200

class PauseButton;
class StartButton;

class MainWindow : public Gtk::Window
{
public:
	MainWindow(BaseObjectType *object, const Glib::RefPtr<Gnome::Glade::Xml> &refGlade);
	void addRenderingArea(Gtk::Vtk::RenderingArea *renArea);
	void runSimulation();
	void stopSimulation();
private:
	Glib::RefPtr<Gnome::Glade::Xml> refGlade;
	Gtk::Fixed *vtkBlankArea;
	Gtk::MenuBar *menu;
	Gtk::Vtk::RenderingArea *renArea;
	PauseButton *pause;
	StartButton *start;
	void loadWidgets();
	void checkResize();
	void setSidebarSensitive(bool sensitive);
};

#endif
