#include "numberSpin.hh"
#include "configuration.hh"
#include "pathsWindow.hh"

NumberSpin::NumberSpin(BaseObjectType *object, const Glib::RefPtr<Gnome::Glade::Xml> &refGlade) : Gtk::SpinButton(object)
{
	this->signal_value_changed().connect(sigc::mem_fun(*this, &NumberSpin::valueChanged));
	refGlade->get_widget_derived("pathsWindow", paths);
	paths->setMaxMoleculeIndex(this->get_value_as_int());
	Configuration::getInstance()->addConfigurationWidget(NUMBER_OF_MOLECULES, this);
}

void NumberSpin::updateState()
{
	this->set_value((double) Configuration::getInstance()->getNumberOfMolecules());
}

void NumberSpin::valueChanged()
{
	Configuration *conf = Configuration::getInstance();
	if (!conf->isSynchronizing())
	{
		conf->setNumberOfMolecules(this->get_value_as_int());
		paths->setMaxMoleculeIndex(this->get_value_as_int());
	}
}
