#include "onScreenCPS.hh"
#include <vtkTextActor.h>
#include "collisionWatcher.hh"
#include "collisionWatchers.hh"
#include "simulation.hh"

OnScreenCPS::OnScreenCPS() : OnScreenStatistic(), CollisionWatcher()
{
	this->collisions = 0;
	this->elapsedTime = 0;
	Simulation::getInstance()->getCollisionWatchers()->registerWatcher(this);
}

OnScreenCPS::~OnScreenCPS()
{
	Simulation::getInstance()->getCollisionWatchers()->unregisterWatcher(this);
}

void OnScreenCPS::collided()
{
	this->collisions++;
}

void OnScreenCPS::update(double interval)
{
	char cpsText[50];
	this->elapsedTime += interval;
	sprintf(cpsText, "Collisions/second: %.1f", ((double) collisions / elapsedTime));
	this->getText()->SetInput(cpsText);
}