#ifndef PATH_H
#define PATH_H

#include <vtkType.h>
#include "color.hh"
#include "vector.hh"

class vtkActor;
class vtkCellArray;
class vtkDataSetMapper;
class vtkPoints;
class vtkPolyData;

class Path
{
public:
	Path();
	~Path();
	void addPoint(Vector p);
	void updateEndPoint(Vector p);
	Color getColor();
	void setColor(Color c);
	vtkActor *getGraphics();
private:
	vtkIdType lastPointID, beforeLastPointID;
	vtkActor *graphics;
	vtkCellArray *lines;
	vtkDataSetMapper *mapper;
	vtkPoints *points;
	vtkPolyData *data;
};

#endif