#include "pathCheckbox.hh"
#include "configuration.hh"
#include "pathsButton.hh"

PathCheckbox::PathCheckbox(BaseObjectType *object, const Glib::RefPtr<Gnome::Glade::Xml> &refGlade) : Gtk::ToggleButton(object)
{
	this->signal_clicked().connect(sigc::mem_fun(*this, &PathCheckbox::toggle));
	refGlade->get_widget_derived("buttonPathsWindow", pathsButton);
	Configuration::getInstance()->addConfigurationWidget(DRAW_PATHS, this);
}

void PathCheckbox::updateState()
{
	this->set_active(Configuration::getInstance()->shouldDrawPaths());
}

void PathCheckbox::toggle()
{
	Configuration *conf = Configuration::getInstance();
	if (!conf->isSynchronizing())
	{
		conf->toggleDrawPaths();
		if (this->get_active())
			pathsButton->set_sensitive(true);
		else
			pathsButton->set_sensitive(false);
	}
}
