#include "pathsMenu.hh"
#include "configuration.hh"
#include "pathColorsMenu.hh"

PathsMenu::PathsMenu(Gtk::CheckMenuItem::BaseObjectType *object, const Glib::RefPtr<Gnome::Glade::Xml> &refGlade) : Gtk::CheckMenuItem(object)
{
	this->signal_activate().connect(sigc::mem_fun(*this, &PathsMenu::clicked));
	refGlade->get_widget_derived("pathColorsMenu", pathColorsMenu);
	Configuration::getInstance()->addConfigurationWidget(DRAW_PATHS, this);
}

void PathsMenu::updateState()
{
	this->set_active(Configuration::getInstance()->shouldDrawPaths());
}

void PathsMenu::clicked()
{
	Configuration *conf = Configuration::getInstance();
	if (!conf->isSynchronizing())
	{
		conf->toggleDrawPaths();
		pathColorsMenu->set_sensitive(Configuration::getInstance()->shouldDrawPaths());
	}
}