#include "pathsWindow.hh"
#include "configuration.hh"
#include "molecule.hh"

PathsWindow::PathsWindow(Gtk::Window::BaseObjectType *object, Glib::RefPtr<Gnome::Glade::Xml> &refGlade)
: Gtk::Window(object)
{
	Gtk::Button *buttonClose = 0;
	number = 0;
	colorChooser = 0;
	refGlade->get_widget("buttonOKPaths", buttonClose);
	refGlade->get_widget("moleculeID", number);
	refGlade->get_widget("pathColor", colorChooser);
	this->refGlade = refGlade;
	if (buttonClose)
	{
		buttonClose->signal_clicked().connect(sigc::mem_fun(*this, &PathsWindow::close));
	}
	if (number)
	{
		number->signal_changed().connect(sigc::mem_fun(*this, &PathsWindow::changedMoleculeID));
	}
	if (colorChooser)
	{
		colorChooser->signal_color_set().connect(sigc::mem_fun(*this, &PathsWindow::setColor));
	}
}

void PathsWindow::changedMoleculeID()
{
	Color pathColor = Configuration::getInstance()->getPathColor(number->get_value_as_int() - 1);
	pathColor.putColorOnWidget(colorChooser);
}

void PathsWindow::close()
{
	this->hide();
}

void PathsWindow::setColor()
{
	Gdk::Color color = colorChooser->get_color();
	Configuration::getInstance()->setPathColor(number->get_value_as_int() - 1, Color(color));
}

void PathsWindow::setMaxMoleculeIndex(unsigned int maxIndex)
{
	number->get_adjustment()->set_upper((double) maxIndex);
}