#include "radiusSpin.hh"
#include "configuration.hh"

RadiusSpin::RadiusSpin(BaseObjectType *object, const Glib::RefPtr<Gnome::Glade::Xml> &refGlade) : Gtk::SpinButton(object)
{
	this->signal_changed().connect(sigc::mem_fun(*this, &RadiusSpin::changed));
	Configuration::getInstance()->addConfigurationWidget(RADIUS_OF_MOLECULES, this);
}

void RadiusSpin::updateState()
{
	this->set_value(Configuration::getInstance()->getRadiusOfMolecules());
}

void RadiusSpin::changed()
{
	Configuration *conf = Configuration::getInstance();
	if (!conf->isSynchronizing())
		conf->setRadiusOfMolecules(this->get_value());
}