#ifndef SIMULATIONVISUALIZATION_HH
#define SIMULATIONVISUALIZATION_HH

#include "vtkmm.h"
#define BASE_ON_SCREEN_STAT_HEIGHT 10

class MainWindow;
class OnScreenStatistic;
class vtkProp;
class vtkTextActor;

class SimulationVisualization
{
public:
	SimulationVisualization(MainWindow *parentWindow);
	~SimulationVisualization();
	void resetView();
	void addVisibleItem(vtkProp *prop);
	void addOnScreenStat(OnScreenStatistic *s);
	void update(double interval);
private:
	void resetOnScreenStats();
	void addOnScreenStats();

	Gtk::Vtk::RenderingArea *renArea;
	std::list<OnScreenStatistic *> onScreenStats;
	int nextOnScreenStatHeight;
};

#endif