#include "startButton.hh"
#include "mainWindow.hh"

StartButton::StartButton(BaseObjectType *object, const Glib::RefPtr<Gnome::Glade::Xml> &refGlade) : Gtk::Button(object)
{
	parentWindow = 0;
	this->refGlade = refGlade;
	refGlade->get_widget_derived("screen", parentWindow);
	currentState.callback = this->signal_clicked().connect(sigc::mem_fun(*this, &StartButton::on_buttonStart_clicked));
	currentState.id = START;
}

void StartButton::on_buttonStart_clicked()
{
	parentWindow->runSimulation();
	toggleStartButton();
}

void StartButton::on_buttonStop_clicked()
{
	parentWindow->stopSimulation();
	toggleStartButton();
}

void StartButton::toggleStartButton()
{
	currentState.callback.disconnect();
	if (currentState.id == START)
	{
		currentState.callback = this->signal_clicked().connect(sigc::mem_fun(*this, &StartButton::on_buttonStop_clicked));
		currentState.id = STOP;
		this->set_label(Glib::ustring("Parar"));
	}
	else
	{
		currentState.callback = this->signal_clicked().connect(sigc::mem_fun(*this, &StartButton::on_buttonStart_clicked));
		currentState.id = START;
		this->set_label(Glib::ustring("Iniciar"));
	}
}