#ifndef STARTBUTTON_H
#define STARTBUTTON_H
#include <gtkmm.h>
#include <libglademm.h>

#define START 'b'
#define STOP 'e'

class MainWindow;

typedef struct state
{
	sigc::connection callback;
	char id;
} State;

class StartButton : public Gtk::Button
{
public:
	StartButton(BaseObjectType *object, const Glib::RefPtr<Gnome::Glade::Xml> &refGlade);
	void on_buttonStart_clicked();
	void on_buttonStop_clicked();
private:
	Glib::RefPtr<Gnome::Glade::Xml> refGlade;
	MainWindow *parentWindow;
	State currentState;
	void toggleStartButton();
};

#endif