#include "temperatureSpin.hh"
#include "configuration.hh"

TemperatureSpin::TemperatureSpin(Gtk::SpinButton::BaseObjectType *object, const Glib::RefPtr<Gnome::Glade::Xml> &refGlade) : Gtk::SpinButton(object)
{
	this->signal_value_changed().connect(sigc::mem_fun(*this, &TemperatureSpin::changed));
	Configuration::getInstance()->addConfigurationWidget(TEMPERATURE, this);
}

void TemperatureSpin::updateState()
{
	this->set_value(Configuration::getInstance()->getTemperature());
}

void TemperatureSpin::changed()
{
	Configuration *conf = Configuration::getInstance();
	if (!conf->isSynchronizing())
		conf->setTemperature(this->get_value());
}