#ifndef VECTOR_H
#define VECTOR_H

#include <string>

class Vector {
public:
	Vector(double x, double y, double z);
	Vector(double v[3]);
	Vector();
	Vector operator+(Vector v);
	Vector operator-(Vector v);
	Vector operator*(double scalar);
	bool operator==(Vector v);
	bool operator!=(Vector v);
	static Vector randomDirection();
	double dot(Vector v);
	Vector multiply(Vector v);
	Vector reflect(Vector normal);
	double length();
	Vector direction();
	std::string toString();
	double getX() { return x; }
	double getY() { return y; }
	double getZ() { return z; }
private:
	double x, y, z;
};

#endif
